/** target library name */
export declare const libraryName = "@ad/r-ui";
/** react specifier to add */
export declare const reactSpecifiersName: string[];
/** useMobile */
export declare const ruiExtraSpecifier = "useMobile";
/** whitelist for component specifiers */
export declare const ruiSpecifiersName: string[];
/** dynamic import template */
export declare const componentTemplate = "\n\tconst COMPONENT_NAME = forwardRef((props, ref) => {\n\t\tconst isMobile = USE_MOBILE\n\t\tconst [Comp, setComp] = useState(null)\n\n\t\tuseEffect(() => {\n\t\t\tsetComp(lazy(() => isMobile ? M_IMPORT : PC_IMPORT))\n\t\t}, [isMobile])\n\n\t\treturn <Suspense fallback={null}>\n\t\t\t{Comp ? <Comp ref={ref} {...props} /> : null}\n\t\t</Suspense>\n\t})\n";
