"use strict";
exports.__esModule = true;
exports.componentTemplate = exports.ruiSpecifiersName = exports.ruiExtraSpecifier = exports.reactSpecifiersName = exports.libraryName = void 0;
/** target library name */
exports.libraryName = '@ad/r-ui';
/** react specifier to add */
exports.reactSpecifiersName = ['Suspense', 'lazy', 'forwardRef', 'useState', 'useEffect'];
/** useMobile */
exports.ruiExtraSpecifier = 'useMobile';
/** whitelist for component specifiers */
exports.ruiSpecifiersName = [exports.ruiExtraSpecifier, 'message', 'tooltip'];
/** dynamic import template */
exports.componentTemplate = "\n\tconst COMPONENT_NAME = forwardRef((props, ref) => {\n\t\tconst isMobile = USE_MOBILE\n\t\tconst [Comp, setComp] = useState(null)\n\n\t\tuseEffect(() => {\n\t\t\tsetComp(lazy(() => isMobile ? M_IMPORT : PC_IMPORT))\n\t\t}, [isMobile])\n\n\t\treturn <Suspense fallback={null}>\n\t\t\t{Comp ? <Comp ref={ref} {...props} /> : null}\n\t\t</Suspense>\n\t})\n";
