import { Options } from '.';
import { StringLiteralType } from './interface';
/** Merge object, src has higher priority */
export declare function mergeObject<T extends object>(src: T, base: Required<T>): Required<T>;
/** add add leading comment for webpackChunk */
export declare function addChunkNameComment<T extends StringLiteralType>(node: T, name: string): T;
/** get real options */
export declare function mergeOptions(opts?: Options): Required<Options>;
export declare function toKebabCase(str: string): string;
